# xpause

suspend Scilab

## Calling Sequence

    xpause(microsecs)

## Arguments

microsecs

  an integer, the number of microseconds.

## Description

`xpause` suspends the current process for the number of microseconds specified by the argument `microsecs`. The actual suspension time may be longer because of other activities in the system, or because of the time spent in processing the call.

## Examples

    t=[0:0.3:2*%pi]';
    z=sin(t)*cos(t');
    plot3d1(t,t,z)
    f=gcf();
    for h=0:0.1:1
      hsv=[h*ones(32,1) linspace(0,1,32)' 0.7*ones(32,1)];
      f.color_map=hsv2rgb(hsv);
      drawnow()
      xpause(100000)
    end